Resume a paused automation
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/example/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/example/resume';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/example/resume \ --header 'Authorization: Bearer <token>'Permission: automations:publish (sensitive)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Automation id
Automation id
Responses
Section titled “Responses”OK
object
Unpublished changes, as counted by the version diff
object
object
object
object
object
object
Branch, filter and goal condition
object
Equals, not_equals, contains, is_set, is_not_set, is_one_of (comma-separated values)
object
object
object
object
HH:MM, recipient-local
object
object
object
object
object
object
object
object
object
object
object
Healthy, degraded, down, sandbox, warming_up or paused
A provider on the route can send right now
object
Healthy, degraded, down, sandbox, warming_up or paused
Example
{ "graph": { "nodes": [ { "data": { "action": { "kind": "add_list" }, "condition": { "kind": "opened", "within": { "unit": "minutes" } }, "delay": { "unit": "minutes" }, "push": { "outside": "wait" }, "sms": { "outside": "wait" }, "trigger": { "answerOp": "any", "direction": "rises", "kind": "joined_list" }, "whatsapp": { "mode": "template", "outside": "wait", "outsideWindow": "skip", "variables": [ { "source": "field" } ] } }, "type": "trigger" } ] }, "issues": [ { "severity": "error" } ], "route": { "fallback": { "name": "Amazon SES", "short": "SES" }, "label": "SES, failover Postmark", "primary": [ { "name": "Amazon SES", "short": "SES" } ] }, "status": "draft"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}